com.threerings.micasa.lobby.table

## Class TableListView

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - com.threerings.micasa.lobby.table.TableListView

All Implemented Interfaces:
  com.threerings.crowd.client.PlaceView, SeatednessObserver, TableObserver, ActionListener, ImageObserver, MenuContainer, Serializable, EventListener, Accessible

    public class TableListView
    extends JPanel
    implements com.threerings.crowd.client.PlaceView, TableObserver, ActionListener, SeatednessObserver

A view that displays the tables in a table lobby. It displays two separate lists, one of tables being matchmade and another of games in progress. These tables are updated dynamically as they proceed through the matchmaking process. UI mechanisms for creating and joining tables are also provided.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.JComponent

`JComponent.AccessibleJComponent`

### Nested classes/interfaces inherited from class java.awt.Component

`Component.BaselineResizeBehavior`

### Field Summary

### Fields inherited from class javax.swing.JComponent

`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

### Fields inherited from class java.awt.Component

`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

### Constructor Summary

Constructors
Constructor and Description
`TableListView(MiCasaContext ctx, LobbyConfig config)` Creates a new table list view, suitable for providing the user interface for table-style matchmaking in a table lobby.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `actionPerformed(ActionEvent event)`
`void` `didLeavePlace(com.threerings.crowd.data.PlaceObject place)`
`void` `seatednessDidChange(boolean isSeated)` Called when this client sits down at or stands up from a table.
`void` `tableAdded(Table table)` Called when a new table is created.
`void` `tableRemoved(int tableId)` Called when a table goes away.
`void` `tableUpdated(Table table)` Called when something has changed about a table (occupant list updated, state changed from matchmaking to in-play, etc.).
`void` `willEnterPlace(com.threerings.crowd.data.PlaceObject place)`

### Methods inherited from class javax.swing.JPanel

`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

### Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TableListView

    public TableListView(MiCasaContext ctx,
                         LobbyConfig config)

Creates a new table list view, suitable for providing the user interface for table-style matchmaking in a table lobby.

### Method Detail

#### willEnterPlace

    public void willEnterPlace(com.threerings.crowd.data.PlaceObject place)

Specified by:
  `willEnterPlace` in interface `com.threerings.crowd.client.PlaceView`

#### didLeavePlace

    public void didLeavePlace(com.threerings.crowd.data.PlaceObject place)

Specified by:
  `didLeavePlace` in interface `com.threerings.crowd.client.PlaceView`

#### tableAdded

    public void tableAdded(Table table)

Description copied from interface: `TableObserver`
Called when a new table is created.

Specified by:
  `tableAdded` in interface `TableObserver`

#### tableUpdated

    public void tableUpdated(Table table)

Description copied from interface: `TableObserver`
Called when something has changed about a table (occupant list updated, state changed from matchmaking to in-play, etc.).

Specified by:
  `tableUpdated` in interface `TableObserver`

#### tableRemoved

    public void tableRemoved(int tableId)

Description copied from interface: `TableObserver`
Called when a table goes away.

Specified by:
  `tableRemoved` in interface `TableObserver`

#### actionPerformed

    public void actionPerformed(ActionEvent event)

Specified by:
  `actionPerformed` in interface `ActionListener`

#### seatednessDidChange

    public void seatednessDidChange(boolean isSeated)

Description copied from interface: `SeatednessObserver`
Called when this client sits down at or stands up from a table.

Specified by:
  `seatednessDidChange` in interface `SeatednessObserver`
Parameters:
  `isSeated` - true if the client is now seated at a table, false if they are now no longer seated at a table.